# class DBus::ProxyPeerService

A hack for pretending that a {PeerConnection} has a single unnamed {ProxyService} so that we can get {ProxyObject}s from it.

### Public Class Methods

new(connection) click to toggle source

@param connection [Connection] The peer connection we’re using.

Calls superclass method `DBus::ProxyService::new`

        # File lib/dbus/proxy_service.rb
    101 def initialize(connection)
    102   # this way we disallow ProxyService taking a nil name by accident
    103   super(":0.0", connection)
    104   @name = nil
    105 end